Index: sources/app/src/main/java/parkup/controllers/ParkingSessionController.java
===================================================================
--- sources/app/src/main/java/parkup/controllers/ParkingSessionController.java	(revision 98f448a5217d1b04c85405d87889e64c1b6debb3)
+++ sources/app/src/main/java/parkup/controllers/ParkingSessionController.java	(revision d7702288f1c27d1dd3bd4d40a5ca958ca2edd80e)
@@ -53,6 +53,6 @@
     }
     @PutMapping("/parkingSession/verify/{parkingSessionId}")
-    public ParkingSession verifyParkingSession(@PathVariable int parkingSessionId,@RequestParam String parkingSpaceName,@RequestParam int parkingZoneId){
-        return this.parkingSessionService.verifyParkingSession(parkingSessionId,parkingSpaceName,parkingZoneId);
+    public ParkingSession verifyParkingSession(@PathVariable int parkingSessionId,@RequestParam String parkingSpaceName){
+        return this.parkingSessionService.verifyParkingSession(parkingSessionId,parkingSpaceName);
     }
     @GetMapping("/parkingSession/calculate/{parkingSessionId}")
Index: sources/app/src/main/java/parkup/controllers/RegisteredUserController.java
===================================================================
--- sources/app/src/main/java/parkup/controllers/RegisteredUserController.java	(revision d7702288f1c27d1dd3bd4d40a5ca958ca2edd80e)
+++ sources/app/src/main/java/parkup/controllers/RegisteredUserController.java	(revision d7702288f1c27d1dd3bd4d40a5ca958ca2edd80e)
@@ -0,0 +1,63 @@
+package parkup.controllers;
+
+import java.util.List;
+import java.util.Optional;
+
+import org.springframework.beans.factory.annotation.Autowired;
+import org.springframework.web.bind.annotation.*;
+import parkup.configs.RegistrationRequest;
+import parkup.configs.RegistrationServiceRP;
+import parkup.entities.RegisteredUser;
+import parkup.services.RegisteredUserService;
+
+@RestController
+public class RegisteredUserController {
+    private final RegisteredUserService registeredUserService;
+    private final RegistrationServiceRP registrationServiceRP;
+
+    @Autowired
+    public RegisteredUserController(RegisteredUserService registeredUserService, RegistrationServiceRP registrationServiceRP) {
+        this.registeredUserService = registeredUserService;
+        this.registrationServiceRP = registrationServiceRP;
+    }
+
+    @GetMapping({"/registriranParkirac"})
+    public List<RegisteredUser> getAllRegistriraniParkiraci() {
+        return this.registeredUserService.getRegPark();
+    }
+
+    @GetMapping({"/registriranParkirac/{regParkId}"})
+    public RegisteredUser getRegistriranParkirac(@PathVariable int regParkId) {
+        RegisteredUser regPark = this.registeredUserService.findById(regParkId);
+        if (regPark != null) {
+            return regPark;
+        } else {
+            throw new RuntimeException("User not found");
+        }
+    }
+
+    @PostMapping({"/registriranParkirac"})
+    public Optional<RegisteredUser> addRegistriranParkirac(@RequestBody RegisteredUser regPark) {
+        return this.registeredUserService.addRegPark(regPark);
+    }
+
+    @PutMapping({"/registriranParkirac/{regParkId}"})
+    public RegisteredUser updateRegistriranParkirac(@PathVariable int regParkId, @RequestBody RegisteredUser regPark) {
+        return this.registeredUserService.updateRegPark(regParkId, regPark.getName(), regPark.getSurname(), regPark.getMobile(), regPark.getEmail(),regPark.getPlates());
+    }
+
+    @DeleteMapping({"/registriranParkirac/{regParkId}"})
+    public Optional<RegisteredUser> deleteRegistriranParkirac(@PathVariable int regParkId) {
+        return this.registeredUserService.deleteRegPark(regParkId);
+    }
+
+    @PostMapping({"/registriranParkirac/registration"})
+    public String register(@RequestBody RegistrationRequest request){
+        return registrationServiceRP.register(request);
+    }
+
+    @GetMapping(path = "/registriranParkirac/registration/confirm")
+    public String confirm(@RequestParam("token") String token) {
+        return registrationServiceRP.confirmToken(token);
+    }
+}
Index: sources/app/src/main/java/parkup/controllers/RegistriranParkiracController.java
===================================================================
--- sources/app/src/main/java/parkup/controllers/RegistriranParkiracController.java	(revision 98f448a5217d1b04c85405d87889e64c1b6debb3)
+++ 	(revision )
@@ -1,63 +1,0 @@
-package parkup.controllers;
-
-import java.util.List;
-import java.util.Optional;
-
-import org.springframework.beans.factory.annotation.Autowired;
-import org.springframework.web.bind.annotation.*;
-import parkup.configs.RegistrationRequest;
-import parkup.configs.RegistrationServiceRP;
-import parkup.entities.RegisteredUser;
-import parkup.services.RegisteredUserService;
-
-@RestController
-public class RegistriranParkiracController {
-    private final RegisteredUserService registeredUserService;
-    private final RegistrationServiceRP registrationServiceRP;
-
-    @Autowired
-    public RegistriranParkiracController(RegisteredUserService registeredUserService, RegistrationServiceRP registrationServiceRP) {
-        this.registeredUserService = registeredUserService;
-        this.registrationServiceRP = registrationServiceRP;
-    }
-
-    @GetMapping({"/registriranParkirac"})
-    public List<RegisteredUser> getAllRegistriraniParkiraci() {
-        return this.registeredUserService.getRegPark();
-    }
-
-    @GetMapping({"/registriranParkirac/{regParkId}"})
-    public RegisteredUser getRegistriranParkirac(@PathVariable int regParkId) {
-        RegisteredUser regPark = this.registeredUserService.findById(regParkId);
-        if (regPark != null) {
-            return regPark;
-        } else {
-            throw new RuntimeException("User not found");
-        }
-    }
-
-    @PostMapping({"/registriranParkirac"})
-    public Optional<RegisteredUser> addRegistriranParkirac(@RequestBody RegisteredUser regPark) {
-        return this.registeredUserService.addRegPark(regPark);
-    }
-
-    @PutMapping({"/registriranParkirac/{regParkId}"})
-    public RegisteredUser updateRegistriranParkirac(@PathVariable int regParkId, @RequestBody RegisteredUser regPark) {
-        return this.registeredUserService.updateRegPark(regParkId, regPark.getName(), regPark.getSurname(), regPark.getMobile(), regPark.getEmail(),regPark.getPlates());
-    }
-
-    @DeleteMapping({"/registriranParkirac/{regParkId}"})
-    public Optional<RegisteredUser> deleteRegistriranParkirac(@PathVariable int regParkId) {
-        return this.registeredUserService.deleteRegPark(regParkId);
-    }
-
-    @PostMapping({"/registriranParkirac/registration"})
-    public String register(@RequestBody RegistrationRequest request){
-        return registrationServiceRP.register(request);
-    }
-
-    @GetMapping(path = "/registriranParkirac/registration/confirm")
-    public String confirm(@RequestParam("token") String token) {
-        return registrationServiceRP.confirmToken(token);
-    }
-}
Index: sources/app/src/main/java/parkup/controllers/VrabotenController.java
===================================================================
--- sources/app/src/main/java/parkup/controllers/VrabotenController.java	(revision 98f448a5217d1b04c85405d87889e64c1b6debb3)
+++ 	(revision )
@@ -1,81 +1,0 @@
-package parkup.controllers;
-
-import java.util.List;
-import java.util.Optional;
-
-import org.springframework.beans.factory.annotation.Autowired;
-import org.springframework.web.bind.annotation.*;
-//import parkup.configs.RegistrationServiceW;
-import parkup.data.AddUpdateWorker;
-import parkup.data.WorkerDemoParkingZones;
-import parkup.entities.Worker;
-import parkup.services.WorkerService;
-import parkup.data.WorkerDemo;
-
-@RestController
-public class VrabotenController {
-    private final WorkerService workerService;
-//    private final RegistrationServiceW registrationServiceW;
-
-    @Autowired
-    public VrabotenController(WorkerService workerService) {
-        this.workerService = workerService;
-    }
-
-    @GetMapping({"/vraboten"})
-    public List<Worker> getAllVraboten() {
-        return this.workerService.getWorkers();
-    }
-
-    @GetMapping({"/vraboten/{vrabotenId}"})
-    public WorkerDemoParkingZones getVraboten(@PathVariable int vrabotenId) {
-        WorkerDemoParkingZones vraboten = this.workerService.findById(vrabotenId);
-        if (vraboten != null) {
-            return vraboten;
-        } else {
-            throw new RuntimeException("Vraboten not found");
-        }
-    }
-
-    @GetMapping({"/vraboten/vrabotenDemo"})
-    public List<WorkerDemo> getVraboteniDemos(){
-        return this.workerService.getAllVraboteniDemos();
-    }
-
-    @PostMapping({"/vraboten"})
-    public Optional<Worker> addVraboten(@RequestBody AddUpdateWorker vraboten) {
-        return this.workerService.addWorker(vraboten.getPassword(), vraboten.getConfirmPass(), vraboten.isLocked(),vraboten.getFirstName(), vraboten.getLastName(),
-                vraboten.getMobile(), vraboten.getEmail(), vraboten.getStatus(),vraboten.getParkingZones());
-    }
-
-    @PutMapping({"/vraboten/lock/{vrabotenId}"})
-    public void lockVraboten(@PathVariable int vrabotenId) {
-        this.workerService.lockWorkerAcc(vrabotenId);
-    }
-
-//    @PostMapping({"/vraboten/setStatus/{vrabotenId}"})
-//    public void setVrabotenStatus(@PathVariable int vrabotenId,@RequestParam String vrabotenStatus){
-//        this.vrabotenService.setVrabotenStatus(vrabotenId,vrabotenStatus);
-//    }
-
-    @PutMapping({"/vraboten/{vrabotenId}"})
-    public WorkerDemoParkingZones updateVraboten(@PathVariable int vrabotenId, @RequestBody AddUpdateWorker vraboten) {
-        return this.workerService.updateWorker(vrabotenId,vraboten.getPassword(), vraboten.getConfirmPass(), vraboten.isLocked(),vraboten.getFirstName(), vraboten.getLastName(),
-                vraboten.getMobile(), vraboten.getEmail(), vraboten.getStatus(),vraboten.getParkingZones());
-    }
-
-    @DeleteMapping({"/vraboten/{vrabotenId}"})
-    public Optional<Worker> deleteVraboten(@PathVariable int vrabotenId) {
-        return this.workerService.deleteWorker(vrabotenId);
-    }
-
-//    @PostMapping({"/vraboten/registration"})
-//    public String register(@RequestBody RegistrationRequest request){
-//        return registrationServiceW.register(request);
-//    }
-//
-//    @GetMapping(path = "/vraboten/registration/confirm")
-//    public String confirm(@RequestParam("token") String token) {
-//        return registrationServiceW.confirmToken(token);
-//    }
-}
Index: sources/app/src/main/java/parkup/controllers/WorkerController.java
===================================================================
--- sources/app/src/main/java/parkup/controllers/WorkerController.java	(revision d7702288f1c27d1dd3bd4d40a5ca958ca2edd80e)
+++ sources/app/src/main/java/parkup/controllers/WorkerController.java	(revision d7702288f1c27d1dd3bd4d40a5ca958ca2edd80e)
@@ -0,0 +1,81 @@
+package parkup.controllers;
+
+import java.util.List;
+import java.util.Optional;
+
+import org.springframework.beans.factory.annotation.Autowired;
+import org.springframework.web.bind.annotation.*;
+//import parkup.configs.RegistrationServiceW;
+import parkup.data.AddUpdateWorker;
+import parkup.data.WorkerDemoParkingZones;
+import parkup.entities.Worker;
+import parkup.services.WorkerService;
+import parkup.data.WorkerDemo;
+
+@RestController
+public class WorkerController {
+    private final WorkerService workerService;
+//    private final RegistrationServiceW registrationServiceW;
+
+    @Autowired
+    public WorkerController(WorkerService workerService) {
+        this.workerService = workerService;
+    }
+
+    @GetMapping({"/vraboten"})
+    public List<Worker> getAllVraboten() {
+        return this.workerService.getWorkers();
+    }
+
+    @GetMapping({"/vraboten/{vrabotenId}"})
+    public WorkerDemoParkingZones getVraboten(@PathVariable int vrabotenId) {
+        WorkerDemoParkingZones vraboten = this.workerService.findById(vrabotenId);
+        if (vraboten != null) {
+            return vraboten;
+        } else {
+            throw new RuntimeException("Vraboten not found");
+        }
+    }
+
+    @GetMapping({"/vraboten/vrabotenDemo"})
+    public List<WorkerDemo> getVraboteniDemos(){
+        return this.workerService.getAllVraboteniDemos();
+    }
+
+    @PostMapping({"/vraboten"})
+    public Optional<Worker> addVraboten(@RequestBody AddUpdateWorker vraboten) {
+        return this.workerService.addWorker(vraboten.getPassword(), vraboten.getConfirmPass(), vraboten.isLocked(),vraboten.getFirstName(), vraboten.getLastName(),
+                vraboten.getMobile(), vraboten.getEmail(), vraboten.getStatus(),vraboten.getParkingZones());
+    }
+
+    @PutMapping({"/vraboten/lock/{vrabotenId}"})
+    public void lockVraboten(@PathVariable int vrabotenId) {
+        this.workerService.lockWorkerAcc(vrabotenId);
+    }
+
+//    @PostMapping({"/vraboten/setStatus/{vrabotenId}"})
+//    public void setVrabotenStatus(@PathVariable int vrabotenId,@RequestParam String vrabotenStatus){
+//        this.vrabotenService.setVrabotenStatus(vrabotenId,vrabotenStatus);
+//    }
+
+    @PutMapping({"/vraboten/{vrabotenId}"})
+    public WorkerDemoParkingZones updateVraboten(@PathVariable int vrabotenId, @RequestBody AddUpdateWorker vraboten) {
+        return this.workerService.updateWorker(vrabotenId,vraboten.getPassword(), vraboten.getConfirmPass(), vraboten.isLocked(),vraboten.getFirstName(), vraboten.getLastName(),
+                vraboten.getMobile(), vraboten.getEmail(), vraboten.getStatus(),vraboten.getParkingZones());
+    }
+
+    @DeleteMapping({"/vraboten/{vrabotenId}"})
+    public Optional<Worker> deleteVraboten(@PathVariable int vrabotenId) {
+        return this.workerService.deleteWorker(vrabotenId);
+    }
+
+//    @PostMapping({"/vraboten/registration"})
+//    public String register(@RequestBody RegistrationRequest request){
+//        return registrationServiceW.register(request);
+//    }
+//
+//    @GetMapping(path = "/vraboten/registration/confirm")
+//    public String confirm(@RequestParam("token") String token) {
+//        return registrationServiceW.confirmToken(token);
+//    }
+}
